Bug 5692 - Core dump in full_audit.so
Core dump in full_audit.so
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: VFS Modules
3.2.1
x86 Linux
: P3 normal
: ---
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 08:10 UTC by Franz Sirl
Modified: 2008-08-18 09:03 UTC (History)
0 users

See Also:


Attachments
Patch (2.78 KB, patch)
2008-08-14 12:39 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franz Sirl 2008-08-14 08:10:46 UTC
I get this core dump:

[2008/08/14 14:36:10,  4] smbd/uid.c:change_to_user(182)
  change_to_user: Skipping user change - already user
[2008/08/14 14:36:10,  3] smbd/nttrans.c:call_nt_transact_query_security_desc(1606)
  call_nt_transact_query_security_desc: file = a/t32repo.cdbranch/t32/src/t32/win95compat/gs_report.c, info_wanted = 0x4
[2008/08/14 14:36:10, 10] smbd/posix_acls.c:posix_get_nt_acl(3125)
[2008/08/14 14:36:10,  0] lib/fault.c:fault_report(40)
  ===============================================================
[2008/08/14 14:36:10,  0] lib/fault.c:fault_report(41)
  INTERNAL ERROR: Signal 11 in pid 27275 (3.2.1-2.1-1869-SUSE-SLES10)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2008/08/14 14:36:10,  0] lib/fault.c:fault_report(43)

  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2008/08/14 14:36:10,  0] lib/fault.c:fault_report(44)
  ===============================================================
[2008/08/14 14:36:10,  0] lib/util.c:smb_panic(1666)
  PANIC (pid 27275): internal error
[2008/08/14 14:36:10,  0] lib/util.c:log_stack_trace(1770)
  BACKTRACE: 18 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0x8028095d]
   #1 /usr/sbin/smbd(smb_panic+0x31) [0x80280a71]
   #2 /usr/sbin/smbd [0x80269b5e]
   #3 [0xffffe420]
   #4 /lib/libc.so.6(vasprintf+0xbc) [0xb7b73d9c]
   #5 /usr/sbin/smbd(dbgtext+0x39) [0x802680c9]
   #6 /usr/sbin/smbd(posix_get_nt_acl+0xf2) [0x800dcf82]
   #7 /usr/sbin/smbd [0x800f6877]
   #8 /usr/lib/samba/vfs/full_audit.so [0xb7916018]
   #9 /usr/sbin/smbd [0x800933d0]
   #10 /usr/sbin/smbd [0x8009487a]
   #11 /usr/sbin/smbd(reply_nttrans+0x623) [0x80096ab3]
   #12 /usr/sbin/smbd [0x800e15ad]
   #13 /usr/sbin/smbd [0x800e28df]
   #14 /usr/sbin/smbd(smbd_process+0x644) [0x800e31d4]
   #15 /usr/sbin/smbd(main+0x1020) [0x804b23d0]
   #16 /lib/libc.so.6(__libc_start_main+0xdc) [0xb7b2c8ac]
   #17 /usr/sbin/smbd [0x80062431]

my config for VFS modules:
        vfs objects = recycle full_audit
        recycle:repository = .recycle/%u
        recycle:facility = LOCAL5
        recycle:priority = NOTICE
        recycle:touch = true
        recycle:keeptree = true
        recycle:versions = false
        recycle:exclude = *.TMP *.tmp *.o *.lib
        recycle:exclude_dir = .svn
        recycle:directory_mode = 773
        full_audit:facility = LOCAL5
        full_audit:priority = NOTICE
        full_audit:prefix = %I|%U|//%L/%S
        full_audit:success = rmdir unlink rename connect disconnect
        full_audit:failure = connect disconnect

If you need more info let me know.
Franz
Comment 1 Jeremy Allison 2008-08-14 12:39:32 UTC
Created attachment 3476 [details]
Patch

Ok, there were some function mismatches in the various GET_NT_ACL modules.
The attached patch should fix this.
Jeremy.
Comment 2 Franz Sirl 2008-08-18 04:36:28 UTC
Works for me now. Thanks for the patch.
Comment 3 Karolin Seeger 2008-08-18 09:03:39 UTC
Cleaning up database. Marking this one as fixed.